Skip to main content
cancel
Showing results for 
Search instead for 
Did you mean: 

Register now to learn Fabric in free live sessions led by the best Microsoft experts. From Apr 16 to May 9, in English and Spanish.

Reply
akhaliq7
Continued Contributor
Continued Contributor

Enable/use copilot with Power BI

Trying to use Power BI at my company, we cannot get copilot to work, on Power BI Service we have created two types of workspaces: Premium Per User, and a Fabric Trial workspace and with both copilot is not working getting the following error:

 

co_pilot_1.png

 

We have played around with different tenant settings, producing the same result.

1 ACCEPTED SOLUTION
ibarrau
Super User
Super User

Hi, if you click the view workspace requirements there you can find this doc: https://learn.microsoft.com/en-us/power-bi/create-reports/copilot-introduction#copilot-requirements

In there there is a section about the requirements. One of the most frequent issues is the license. Copilot only works over a F64 or Premium or higher license. You can check the others in case you do have the capacity assigned to the workspace you want to try it.

I hope that helps,


If this post helps, then please consider Accept it as the solution to help the other members find it more quickly.

Happy to help!

LaDataWeb Blog

View solution in original post

3 REPLIES 3
ibarrau
Super User
Super User

Hi, if you click the view workspace requirements there you can find this doc: https://learn.microsoft.com/en-us/power-bi/create-reports/copilot-introduction#copilot-requirements

In there there is a section about the requirements. One of the most frequent issues is the license. Copilot only works over a F64 or Premium or higher license. You can check the others in case you do have the capacity assigned to the workspace you want to try it.

I hope that helps,


If this post helps, then please consider Accept it as the solution to help the other members find it more quickly.

Happy to help!

LaDataWeb Blog

akhaliq7
Continued Contributor
Continued Contributor

I have premium per user but i think it has to be premium capacity?

Yes, that's it. The copilot requires premium capacity P1-P5. You can't use it with PPU.

Regards


If this post helps, then please consider Accept it as the solution to help the other members find it more quickly.

Happy to help!

LaDataWeb Blog

Helpful resources

Announcements
Microsoft Fabric Learn Together

Microsoft Fabric Learn Together

Covering the world! 9:00-10:30 AM Sydney, 4:00-5:30 PM CET (Paris/Berlin), 7:00-8:30 PM Mexico City

PBI_APRIL_CAROUSEL1

Power BI Monthly Update - April 2024

Check out the April 2024 Power BI update to learn about new features.

April Fabric Community Update

Fabric Community Update - April 2024

Find out what's new and trending in the Fabric Community.

Top Solution Authors
Top Kudoed Authors